Release Candidate for AOO 4.1.7?

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

Release Candidate for AOO 4.1.7?

Matthias Seidel
Hi all,

I think it is time to do our (first) Release Candidate for AOO 4.1.7.

Unofficial test builds for Windows are already here [1] and those for
macOS and Linux here [2].

Please test, so we can decide to build an RC.

Regards,

   Matthias

[1] https://home.apache.org/~mseidel/AOO-builds/AOO-417-Test/
[2] https://home.apache.org/~jim/AOO-builds/AOO417-test/




smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Matthias Seidel
Hi all,

Am 03.09.19 um 12:18 schrieb Matthias Seidel:
> Hi all,
>
> I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>
> Unofficial test builds for Windows are already here [1] and those for
> macOS and Linux here [2].
>
> Please test, so we can decide to build an RC.

Forgot to add a list of issues that should be tested:

https://bz.apache.org/ooo/buglist.cgi?list_id=240475&query_format=advanced&resolution=FIXED&resolution=FIXED_WITHOUT_CODE&target_milestone=4.1.7

Regards,

   Matthias

smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Pedro Lino-3
In reply to this post by Matthias Seidel
Hi Matthias


>     I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>
>     Unofficial test builds for Windows are already here [1] and those for
>     macOS and Linux here [2].
>
>     Please test, so we can decide to build an RC.
>

Installed Full pt version + en-US language pack (without dictionaries ;) ) under Windows 7 x86 Pro SP1
Everything is running as expected, including the Java wizards. Java installed is Oracle Version 8 Update 221

Maybe someone can take another shot at fixing the failed Check for Updates?
https://bz.apache.org/ooo/show_bug.cgi?id=127789
I'm available for testing.

Best regards,
Pedro
Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Torokhov Sergey-2
In reply to this post by Matthias Seidel
Hello.

I tested to install "Apache_OpenOffice_4.1.7_Linux_x86-64_install-rpm_en-US.tar.gz"
on Gentoo Linux with several Java VM being installed:

1. dev-java/oracle-jdk-bin-1.8.0.202
is recognized by AOO as "Oracle Corporation 1.8.0_202" at /opt/oracle-jdk-bin-1.8.0.202/jre/

2. dev-java/icedtea-bin-3.13.0
is recognized by AOO as "AdoptOpenJDK 11.0.4" at /opt/openjdk-jre-bin-11.0.4_p11/

3. dev-java/openjdk-jre-bin-11.0.4_p11
wasn't auto-detected, after manual addition is recognized by AOO as "OpenJDK 1.8.0_222" at /opt/icedtea-bin-3.13.0/jre/


At the first run of oowriter I recieved warning: "javaldx: invalid settings. User must select a JRE from options dialog!"
that disappeared after Java VM selection.

"Help" and "Bibliography Database" ran and seems to be work with all of all installed Java VM implementations.



The ISSUE (already mentioned: https://bz.apache.org/ooo/show_bug.cgi?id=127789) I noticed:
When I go to "Tools" - "Extension manager" and push "Check for Updates" button
I get an error "Error reading data from Internet. Server Error message: ." over the pop-up "Extension Update" window.




03.09.2019, 13:18, "Matthias Seidel" <[hidden email]>:

> Hi all,
>
> I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>
> Unofficial test builds for Windows are already here [1] and those for
> macOS and Linux here [2].
>
> Please test, so we can decide to build an RC.
>
> Regards,
>
>    Matthias
>
> [1] https://home.apache.org/~mseidel/AOO-builds/AOO-417-Test/
> [2] https://home.apache.org/~jim/AOO-builds/AOO417-test/

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Peter Kovacs-3
In reply to this post by Pedro Lino-3
Wasn't this some sort of server side issue?

On 04.09.19 00:32, Pedro Lino wrote:

> Hi Matthias
>
>
>>     I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>>
>>     Unofficial test builds for Windows are already here [1] and those for
>>     macOS and Linux here [2].
>>
>>     Please test, so we can decide to build an RC.
>>
> Installed Full pt version + en-US language pack (without dictionaries ;) ) under Windows 7 x86 Pro SP1
> Everything is running as expected, including the Java wizards. Java installed is Oracle Version 8 Update 221
>
> Maybe someone can take another shot at fixing the failed Check for Updates?
> https://bz.apache.org/ooo/show_bug.cgi?id=127789
> I'm available for testing.
>
> Best regards,
> Pedro
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Josef Latt-3
In reply to this post by Matthias Seidel
Hi,

so far no issues under Ubuntu 19.04 64 bit.
Installed orcale-java and openjre 11.04 are recognized.

Regards


Am 03.09.19 um 12:18 schrieb Matthias Seidel:

> Hi all,
>
> I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>
> Unofficial test builds for Windows are already here [1] and those for
> macOS and Linux here [2].
>
> Please test, so we can decide to build an RC.
>
> Regards,
>
>     Matthias
>
> [1] https://home.apache.org/~mseidel/AOO-builds/AOO-417-Test/
> [2] https://home.apache.org/~jim/AOO-builds/AOO417-test/
>
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Pedro Lino-3
In reply to this post by Peter Kovacs-3
Yes, it is some server problem but it is still unsolved. It would be nice that existing users are warned of future versions. In fact if the fix also affects 4.1.5 and 4.1.6 it would warn users of the 4.1.7 release.

> On September 4, 2019 at 2:07 AM Peter Kovacs <[hidden email]> wrote:
>
> Wasn't this some sort of server side issue?
>
> On 04.09.19 00:32, Pedro Lino wrote:
> >
> > Maybe someone can take another shot at fixing the failed Check for Updates?
> > https://bz.apache.org/ooo/show_bug.cgi?id=127789
> > I'm available for testing.
> >
> > Best regards,
> > Pedro
> >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Torokhov Sergey-2
In reply to this post by Torokhov Sergey-2
I forgot to mention that the absence of auto-detection of dev-java/openjdk-jre-bin by AOO most likely is related to the specific status of this package in Gentoo, i.e. currently it path also isn't detected by system as well and isn't detected as available Java VM by default.

--
Sergey Torokhov

04.09.2019, 03:51, "Torokhov Sergey" <[hidden email]>:

> Hello.
>
> I tested to install "Apache_OpenOffice_4.1.7_Linux_x86-64_install-rpm_en-US.tar.gz"
> on Gentoo Linux with several Java VM being installed:
>
> 1. dev-java/oracle-jdk-bin-1.8.0.202
> is recognized by AOO as "Oracle Corporation 1.8.0_202" at /opt/oracle-jdk-bin-1.8.0.202/jre/
>
> 2. dev-java/icedtea-bin-3.13.0
> is recognized by AOO as "AdoptOpenJDK 11.0.4" at /opt/openjdk-jre-bin-11.0.4_p11/
>
> 3. dev-java/openjdk-jre-bin-11.0.4_p11
> wasn't auto-detected, after manual addition is recognized by AOO as "OpenJDK 1.8.0_222" at /opt/icedtea-bin-3.13.0/jre/
>
> At the first run of oowriter I recieved warning: "javaldx: invalid settings. User must select a JRE from options dialog!"
> that disappeared after Java VM selection.
>
> "Help" and "Bibliography Database" ran and seems to be work with all of all installed Java VM implementations.
>
> The ISSUE (already mentioned: https://bz.apache.org/ooo/show_bug.cgi?id=127789) I noticed:
> When I go to "Tools" - "Extension manager" and push "Check for Updates" button
> I get an error "Error reading data from Internet. Server Error message: ." over the pop-up "Extension Update" window.
>
> 03.09.2019, 13:18, "Matthias Seidel" <[hidden email]>:
>>  Hi all,
>>
>>  I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>>
>>  Unofficial test builds for Windows are already here [1] and those for
>>  macOS and Linux here [2].
>>
>>  Please test, so we can decide to build an RC.
>>
>>  Regards,
>>
>>     Matthias
>>
>>  [1] https://home.apache.org/~mseidel/AOO-builds/AOO-417-Test/
>>  [2] https://home.apache.org/~jim/AOO-builds/AOO417-test/
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Kay Schenk-2
In reply to this post by Torokhov Sergey-2

On 9/3/19 5:50 PM, Torokhov Sergey wrote:

> Hello.
>
> I tested to install "Apache_OpenOffice_4.1.7_Linux_x86-64_install-rpm_en-US.tar.gz"
> on Gentoo Linux with several Java VM being installed:
>
> 1. dev-java/oracle-jdk-bin-1.8.0.202
> is recognized by AOO as "Oracle Corporation 1.8.0_202" at /opt/oracle-jdk-bin-1.8.0.202/jre/
>
> 2. dev-java/icedtea-bin-3.13.0
> is recognized by AOO as "AdoptOpenJDK 11.0.4" at /opt/openjdk-jre-bin-11.0.4_p11/
>
> 3. dev-java/openjdk-jre-bin-11.0.4_p11
> wasn't auto-detected, after manual addition is recognized by AOO as "OpenJDK 1.8.0_222" at /opt/icedtea-bin-3.13.0/jre/
>
>
> At the first run of oowriter I recieved warning: "javaldx: invalid settings. User must select a JRE from options dialog!"
> that disappeared after Java VM selection.

Hello all --

NONE of the my java versions was detected on startup. I also got the

"javaldx: invalid settings. User must select a JRE from options dialog!"
message. After I selected a java version, I currently have java7 and java8 installed, everything was OK.

I can pick up my default using "whereis java" on my CentOS 7.6 setup.

More testing coming soon... :)

-- Kay

>
> "Help" and "Bibliography Database" ran and seems to be work with all of all installed Java VM implementations.
>
>
>
> The ISSUE (already mentioned: https://bz.apache.org/ooo/show_bug.cgi?id=127789) I noticed:
> When I go to "Tools" - "Extension manager" and push "Check for Updates" button
> I get an error "Error reading data from Internet. Server Error message: ." over the pop-up "Extension Update" window.
>
>
>
>
> 03.09.2019, 13:18, "Matthias Seidel" <[hidden email]>:
>> Hi all,
>>
>> I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>>
>> Unofficial test builds for Windows are already here [1] and those for
>> macOS and Linux here [2].
>>
>> Please test, so we can decide to build an RC.
>>
>> Regards,
>>
>>     Matthias
>>
>> [1] https://home.apache.org/~mseidel/AOO-builds/AOO-417-Test/
>> [2] https://home.apache.org/~jim/AOO-builds/AOO417-test/
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Andrea Pescetti-2
In reply to this post by Matthias Seidel
On 03/09/2019 Matthias Seidel wrote:
> I think it is time to do our (first) Release Candidate for AOO 4.1.7.

Yes, definitely. Thanks for starting the conversation and indeed it's
time to get (a release candidate for) 4.1.7 ready as soon as possible.

Regards,
   Andrea.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Release Candidate for AOO 4.1.7?

Jim Jagielski
Sounds good. I can likely have them ready before ACNA19. If not, then the Linux and macOS builds will need to wait until I return, which should not be a problem.


> On Sep 4, 2019, at 6:10 PM, Andrea Pescetti <[hidden email]> wrote:
>
> On 03/09/2019 Matthias Seidel wrote:
>> I think it is time to do our (first) Release Candidate for AOO 4.1.7.
>
> Yes, definitely. Thanks for starting the conversation and indeed it's time to get (a release candidate for) 4.1.7 ready as soon as possible.
>
> Regards,
>  Andrea.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]